package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorSubject;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author zhuff
 */
@Mapper
public interface SubjectMapper {

    List<MonitorSubject> getList(String subjectName);

    MonitorSubject getById(Integer id);

    int checkSubjectNameUnique(String subjectName);

    int addSubject(MonitorSubject monitorSubject);

    int updateSubject(MonitorSubject monitorSubject);

    int deleteSubject(Integer id);

    int selectCount(Integer id);
}
